kind: pipeline
type: docker
name: image building

steps:
- name: build&push squashed image
  image: harbor.hq.rosti.cz/library/builder:39
  environment:
    username: robot$rosti+rosti
    password: 
      from_secret: repo_password
    repo: harbor.hq.rosti.cz
  privileged: true
  commands:
  - echo "$password" | podman login -u $username --password-stdin $repo
  - task push

trigger:
  event:
  - promote
  target:
  - production

---

kind: pipeline
type: docker
name: test image

steps:
- name: test build
  image: harbor.hq.rosti.cz/library/builder:39
  environment:
    username: robot$rosti+rosti
    password: 
      from_secret: repo_password
    repo: harbor.hq.rosti.cz
  privileged: true
  commands:
  - echo "$password" | podman login -u $username --password-stdin $repo
  - task build VERSION=test
  - task test VERSION=test

trigger:
  event:
    exclude:
      - promote
